Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able
Class AbleDefaultAgentCustomizer

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          com.ibm.able.AbleObjectCustomizer
                              com.ibm.able.AbleDefaultAgentCustomizer

All Implemented Interfaces:
  AbleCustomizer, javax.accessibility.Accessible, java.beans.Customizer, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

Direct Known Subclasses:
  AbleDecisionTreeClassifierAgentCustomizer, AbleGeneticSearchAgentCustomizer, AbleJavaScriptAgentCustomizer, AbleKnnClassifierAgentCustomizer, AbleNaiveBayesClassifierAgentCustomizer, AbleNaiveBayesClassifierAgentCustomizer, AbleNeuralClassifierAgentCustomizer, AbleNeuralClusteringAgentCustomizer, AbleNeuralPredictionAgentCustomizer, AblePetriNetCustomizer, AblePlatformDefaultAgentCustomizer, AbleRuleAgentCustomizer, AbleScriptAgentCustomizer, AutotuneAgentCustomizer, BaseAutotuneAdaptorCustomizer, BaseAutotuneControllerCustomizer, SimpleAbleAgentCustomizer

public class AbleDefaultAgentCustomizer
extends AbleObjectCustomizer

This class provides the customizer interface for the AbleDefaultAgent. Classes extending AbleDefaultAgentCustomizer must add or insert their panels to this dialog. They must also implement AbleCustomizer. For now assume the panel size is 475x350.

Tabs provided are:

User functions tab

See Also:
  `AbleObjectCustomizer`, `AbleUserDefinedFunctionPanel`, Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Nested classes inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog`

Nested classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class com.ibm.able.AbleObjectCustomizer
`TabHeight, TabWidth`

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`AbleDefaultAgentCustomizer()` Construct an Able Default Agent Customizer Dialog.
`AbleDefaultAgentCustomizer(javax.swing.JFrame frame, java.lang.String title, boolean isModal)` Construct an Able Default Agent Customizer dialog.

Method Summary
`static void` | `main(java.lang.String[] args)` The main method is provided only for testing.
`void` | `setObject(java.lang.Object anAgent)` Write the data from the object to the panel(s) provided by this customizer.
`void` | `updateObject()` Update the agent that is being customized.

Methods inherited from class com.ibm.able.AbleObjectCustomizer
`addPanel, addPropertyChangeListener, addPropertyChangeMethod, addTab, dispose, getCancelButton, getCustomizer, getCustomizerButtonPanel, getHelpButton, getOKButton, getWorkingDirectory, insertTab, insertTab, isChanged, isIgnoringPropertyChanges, removePropertyChangeListener, setChanged, setCustomizer, setIgnoreAnyPropertyChanges, setVisible, setWorkingDirectory, startCustomizer, updateProperties, userCancelled`

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`addNotify, getTitle, hide, isModal, isResizable, isUndecorated, removeNotify, setModal, setResizable, setTitle, setUndecorated, show`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, finalize, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbleDefaultAgentCustomizer

    public AbleDefaultAgentCustomizer(javax.swing.JFrame frame,
                                      java.lang.String title,
                                      boolean isModal)

  Construct an Able Default Agent Customizer dialog. Dialog is not modal so other windows can be active at the same time.

Parameters:
  `frame` - the frame from which the dialog is displayed.
  `title` - the String to display in the dialog's title bar.

### AbleDefaultAgentCustomizer

    public AbleDefaultAgentCustomizer()

  Construct an Able Default Agent Customizer Dialog. Dialog is not modal so other windows can be active at the same time.

Method Detail

### main

    public static void main(java.lang.String[] args)

  The main method is provided only for testing.

### setObject

    public void setObject(java.lang.Object anAgent)

  Write the data from the object to the panel(s) provided by this customizer. The panel saves a reference to the agent being customized. Pass the object and its data to any inherited panel.

  Specified by:
    `setObject` in interface `java.beans.Customizer`
  Overrides:
    `setObject` in class `AbleObjectCustomizer`
  Parameters:
    `anAgent` - The Agent that is to be changed.
  See Also:
    `AbleObjectCustomizer`

### updateObject

    public void updateObject()
                      throws java.rmi.RemoteException

  Update the agent that is being customized. This method is called when the dialog's OK button is pressed.

  Specified by:
    `updateObject` in interface `AbleCustomizer`
  Overrides:
    `updateObject` in class `AbleObjectCustomizer`
  Throws:
    `java.rmi.RemoteException` - is thrown when the panel values cannot be set on the agent.
  See Also:
    `AbleObjectCustomizer`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005